﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Syncfusion.SfChart.XForms;
using System.Collections.ObjectModel;
using Xamarin.Forms;

namespace StackedBarSample
{   
    public class StackedBarSample : ContentPage
    {
        ObservableCollection<ChartDataPoint> series1Data, series2Data;

        SfChart chart;

        StackLayout stackLayout;
        public StackedBarSample()
        {
            chart = new SfChart();
            chart.Title.Text = "Stacking Bar Chart";
            chart.VerticalOptions = LayoutOptions.FillAndExpand;

            stackLayout = new StackLayout();
            stackLayout.VerticalOptions = LayoutOptions.FillAndExpand;

            CategoryAxis categoryAxis = new CategoryAxis();
            categoryAxis.Title.Text = "Person Name";
            chart.PrimaryAxis = categoryAxis;

            NumericalAxis numericalAxis = new NumericalAxis();
            numericalAxis.Title.Text = "Age";
            chart.SecondaryAxis = numericalAxis;

            series1Data = new ObservableCollection<ChartDataPoint>();
            series2Data = new ObservableCollection<ChartDataPoint>();

            series1Data.Add(new ChartDataPoint("John", 25));
            series1Data.Add(new ChartDataPoint("Francis", 55));
            series1Data.Add(new ChartDataPoint("Peter", 30));
            series1Data.Add(new ChartDataPoint("Steve", 75));
            series1Data.Add(new ChartDataPoint("Phangiso", 60));

            series2Data.Add(new ChartDataPoint("John", 45));
            series2Data.Add(new ChartDataPoint("Francis", 60));
            series2Data.Add(new ChartDataPoint("Peter", 35));
            series2Data.Add(new ChartDataPoint("Steve", 65));
            series2Data.Add(new ChartDataPoint("Phangiso", 40));

            StackingBarSeries stackingBarSeries = new StackingBarSeries();
            stackingBarSeries.ItemsSource = series1Data;
            chart.Series.Add(stackingBarSeries);

            StackingBarSeries stackingBarSeries1 = new StackingBarSeries();
            stackingBarSeries1.ItemsSource = series2Data;
            chart.Series.Add(stackingBarSeries1);

            stackLayout.Children.Add(chart);
            Content = stackLayout;
        }
    }
}
